Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.text.shared.testing
Class PassthroughParser

    java.lang.Object
      com.google.gwt.text.shared.testing.PassthroughParser

All Implemented Interfaces:
  Parser<java.lang.String>

    public class PassthroughParser

extends java.lang.Object
implements Parser<java.lang.String>

A no-op String parser.

Constructor Summary
`protected` | `PassthroughParser()`

Method Summary
`static Parser<java.lang.String>` | `instance()` Returns the instance of the no-op renderer.
`java.lang.String` | `parse(java.lang.CharSequence object)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PassthroughParser

    protected PassthroughParser()

Method Detail

### instance

    public static Parser<java.lang.String> instance()

  Returns the instance of the no-op renderer.

### parse

    public java.lang.String parse(java.lang.CharSequence object)

  Specified by:
    `parse` in interface `Parser<java.lang.String>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD